/// <reference types="react" />
import "@less/components/UiReactTestComponent.less";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiSwitchCommandHandler, UiSwitchConfig, UiSwitchEventSource } from "../generated/UiSwitchConfig";
import { AbstractUiReactField } from "./AbstractUiReactField";
export declare class UiSwitch extends AbstractUiReactField<UiSwitchConfig, boolean> implements UiSwitchCommandHandler, UiSwitchEventSource {
    private CustomStyledSwitch;
    protected initialize(config: UiSwitchConfig, context: TeamAppsUiContext): void;
    protected render(): JSX.Element;
    getDefaultValue(): boolean;
    isValidData(v: boolean): boolean;
    valuesChanged(v1: boolean, v2: boolean): boolean;
}
